Bug 4653 - Autodetecting adapter fails w/o SCSI peripheral; no ABORY in install program; Disk Druid doesn't allow partition order control
Autodetecting adapter fails w/o SCSI peripheral; no ABORY in install program;...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-08-22 16:13 EDT by jbednar
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-17 17:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jbednar 1999-08-22 16:13:00 EDT
I've been using Red Hat Linux for every version since 3.03,
and have generally been pretty happy with it.  However, one
thing that was not good at all then, and has improved only a
little since, is the installation process.  When it works,
it works reasonably well, but I can't remember *ever**
having it work properly all the way through on *any* of my
installations on *any* of my four or five systems, whether
doing a clean install or an upgrade.  (The underlying cause
of many of the problems seems to be several buggy CDROM
drives, but there have been many other problems too.) Given
this high likelihood of encountering problems, the most
important feature lacking from the install program is some
robustness, i.e. an ability to abort the installation, retry
certain steps, or do certain steps manually.

I'm installing RH6.0 on another machine as I write this, and
while it runs I'm just jotting down a few of the things that
need work before someone with less Linux experience can hope
to get things working, and so that experienced users will
not find the experience so frustrating.

For instance, the machine I'm installing it to right now has
an NCR 53c810 SCSI adapter, but I didn't happen to have any
SCSI peripherals plugged in when I started the installation.
The installation program reported that it couldn't find any
NCR 53C8xx adapter, which was surprising.  I switched to the
log virtual console (ctrl-alt-f3) and saw that the adapter
had actually been detected, but the install program just
gave up when it couldn't find any attached devices.  This
was irritating and unneccesary, but the solution was obvious
-- plug in a SCSI peripheral and try again.

Unfortunately, going back to the install program, there was
no ABORT option!  Umm... how could any program that has
reached a 6.0 version level possibly overlook something so
simple?  Surely it can have at least a rudimentary abort
function that just prints a warning "Setup is not complete!
Are you sure you want to abort?" and then does what it can,
e.g. synchronizing any filesystems it had open?  I ended up
just turning the machine off, since no filesystem was in
fact open at that time, but how is a novice supposed to know
that doing so would be ok?

Later, when the RPMs are being installed, very often I've
run into some temporary CD-ROM or NFS problem on various
machines, causing one or more RPMs to fail.  The
installation program pops up a requester about that, but the
requester doesn't have any options other than OK! How about
RETRY?  How about ABORT?  The whole process is like being
strapped into a vehicle sinking slowly into quicksand; some
sort of escape hatch and recovery mechanism is absolutely
essential.  A few days ago I installed Windows NT on the
same machine, and while I have absolutely no fondness for
any Microsoft product, at least their installer had a
"Retry" button when the CDROM balked on one file, and after
I very painlessly clickedthat button all was well again.

A less egregious install problem concerns drive formatting.
The new Disk Druid program is much cleaner than fdisk, and
I'm happy to see it.  However, because it doesn't offer any
obvious way to determine the order of the partitions on the
disk or whether each one is a primary, extended, or logical
partition, it appears to be useful only to the novice.
Other people, e.g. those installing multiple OSs, need such
control, and it doesn't seem like it would be that difficult
to add it.  Having a graphical depiction of the partitions
with slider bars, etc. (which is possible even in text mode)
would be a natural way to achieve this control without
making anything more complex.

Anyway, I hope that eventually the installer will get a
little bit friendlier and useful.  Good luck,

Comment 1 Jay Turner 2000-02-11 11:43:59 EST
These issues have been added to a list of feature requests.

Note You need to log in before you can comment on or make changes to this bug.